---
layout: news_item
title: "ORC 1.9.3 Released"
date: "2024-03-20 00:00:00 0000"
author: gangwu
version: 1.9.3
categories: [release]
---

The ORC team is excited to announce the release of ORC v1.9.3.

{% assign releaseName = "1.9.3" %}
{% include release_description.md %}

The bug fixes:
- [ORC-634]({{site.jira}}/ORC-634)   Fix the json output for double NaN and infinite
- [ORC-1553]({{site.jira}}/ORC-1553) Reading information from Row group, where there are 0 records of SArg column
- [ORC-1563]({{site.jira}}/ORC-1563) Fix orc.bloom.filter.fpp default value and orc.compress notes of Spark and Hive config docs
- [ORC-1578]({{site.jira}}/ORC-1578) Fix SparkBenchmark according to SPARK-40918
- [ORC-1586]({{site.jira}}/ORC-1586) Fix IllegalAccessError when SparkBenchmark runs on JDK17
- [ORC-1602]({{site.jira}}/ORC-1602) [C++] limit compression block size
- [ORC-1607]({{site.jira}}/ORC-1607) Fix `testDoubleNaNAndInfinite` to use `TestFileDump.checkOutput`
- [ORC-1609]({{site.jira}}/ORC-1609) Fix the compilation problem of TestJsonFileDump in branch 1.9

The test changes:
- [ORC-1556]({{site.jira}}/ORC-1556) Add `Rocky Linux 9` Docker Test
- [ORC-1557]({{site.jira}}/ORC-1557) Add GitHub Action CI for `Docker Test`
- [ORC-1559]({{site.jira}}/ORC-1559) Remove Java11 and clang variants from `docker/os-list.txt` from `branch-1.9`

The tasks:
- [ORC-1532]({{site.jira}}/ORC-1532) Upgrade `opencsv` to 5.9
- [ORC-1536]({{site.jira}}/ORC-1536) Remove `hive-storage-api` link from `maven-javadoc-plugin`
- [ORC-1576]({{site.jira}}/ORC-1576) Upgrade spark.jackson.version to 2.15.2 in bench module
- [ORC-1591]({{site.jira}}/ORC-1591) Lower log level from INFO to DEBUG in *ReaderImpl/WriterImpl/PhysicalFsWriter
- [ORC-1592]({{site.jira}}/ORC-1592) Suppress KeyProvider missing log
- [ORC-1616]({{site.jira}}/ORC-1616) Upgrade `aircompressor` to 0.26
- [ORC-1618]({{site.jira}}/ORC-1618) Disable building tests for snappy

Documentation:
- [ORC-1535]({{site.jira}}/ORC-1535) Remove generated Java docs from source tree
