---
layout: news_item
title: "ORC 2.0.2 Released"
date: "2024-08-15 00:00:00 0000"
author: dongjoon
version: 2.0.2
categories: [release]
---

The ORC team is excited to announce the release of ORC v2.0.2.

{% assign releaseName = "2.0.2" %}
{% include release_description.md %}

The improvements (tools):
- [ORC-1724]({{site.jira}}/ORC-1724) JsonFileDump utility should print user metadata
- [ORC-1740]({{site.jira}}/ORC-1740) Avoid the dump tool repeatedly parsing ColumnStatistics
- [ORC-1742]({{site.jira}}/ORC-1742) Support print the id, name and type of each column in dump tool

The bug fixes:
- [ORC-1732]({{site.jira}}/ORC-1732) [C++] Fix detecting Homebrew-installed Protobuf on MacOS
- [ORC-1733]({{site.jira}}/ORC-1733) [C++][CMake] Fix CMAKE_MODULE_PATH not to use PROJECT_SOURCE_DIR
- [ORC-1738]({{site.jira}}/ORC-1738) [C++] Fix wrong Int128 maximum value
- [ORC-1741]({{site.jira}}/ORC-1741) Respect decimal reader isRepeating flag
- [ORC-1749]({{site.jira}}/ORC-1749) Fix supportVectoredIO for hadoop version string with optional patch labels
- [ORC-1751]({{site.jira}}/ORC-1751) [C++] Fix syntax error in ThirdpartyToolchain

The test changes:
- [ORC-1694]({{site.jira}}/ORC-1694) Upgrade gson to 2.9.0 for Benchmarks Hive
- [ORC-1697]({{site.jira}}/ORC-1697) Fix IllegalArgumentException when reading json timestamp type in benchmark
- [ORC-1700]({{site.jira}}/ORC-1700) Write parquet decimal type data in Benchmark using FIXED_LEN_BYTE_ARRAY type
- [ORC-1743]({{site.jira}}/ORC-1743) Upgrade Spark to 4.0.0-preview1
- [ORC-1744]({{site.jira}}/ORC-1744) Add ubuntu-24.04 to GitHub Action
- [ORC-1746]({{site.jira}}/ORC-1746) Bump netty-all to 4.1.110.Final in bench module
- [ORC-1752]({{site.jira}}/ORC-1752) Fix NumberFormatException when reading json timestamp type in benchmark
- [ORC-1753]({{site.jira}}/ORC-1753) Use Avro 1.12.0 in bench module

The build and dependency changes:
- [ORC-1721]({{site.jira}}/ORC-1721) Upgrade aircompressor to 0.27
- [ORC-1747]({{site.jira}}/ORC-1747) Upgrade zstd-jni to 1.5.6-4
